Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_InputHat

Joystick hat interface.
Contained in: global
Derived from: none
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

``virtual`` | `~CL_InputHat` | `()`;

### Attributes:

``virtual` `float`` | `get_direction` | `()`;

## Description:

CL_InputHat is the interface to the "hat" on a joystick.

## Function Member Descriptions:

CL_InputHat::get_direction - Returns the current direction of the hat (in degrees from 0-360). If the value returned is -1, the hat is centered.
``virtual` `float`` `get_direction` `()`;

> Returns - Current hat direction (degrees 0-360) or -1 if centered.

CL_InputHat::~CL_InputHat - Input Hat Destructor
``virtual`` `~CL_InputHat` `()`;